<?php

namespace app\foreignone;

use engine\http\RequestHandler;
use engine\skin\BaseSkin;

abstract class BaseHandler
    extends RequestHandler
{
    public readonly BaseSkin $skin;

    public function __construct() {
        $this->skin = new ForeignOneSkin();
        $this->skin->strings->load('main');
        $this->skin->addStatic(
            'css/common.css',
            'js/common.js'
        );
        $this->skin->setGlobal([
            'is_admin' => isAdmin(),
            'is_dev' => isDev()
        ]);
    }
}